PUT Application/PutSemanticContexts
Request Information
URI Parameters
None.
Body Parameters
Collection of SemanticContext| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| SemanticEntities | Collection of SemanticEntity |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "de01deb9-1fef-46b5-830b-48ef2d3942e5",
"name": "sample string 2",
"semanticEntities": [
{
"$id": "2",
"id": "374fd6db-8143-4fb1-ac20-c3633b8f1b34",
"semanticContextID": "55a25de3-b084-479f-a7e9-e01a8bd1cc8a",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "3",
"id": "d4f53c09-5f08-4ef1-add2-fe5af03bae8d",
"semanticEntityID": "84b9f9f4-b727-4b39-8298-a78383a9c1a0",
"semanticEnumerationID": "a312ea07-2a76-4156-8323-ca998ab2080c",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "3"
}
]
},
{
"$ref": "2"
}
]
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.